Subject: RE: How do you organize your *.pdf files?

From: "Joseph Han" <jhh3851~at~yahoo.com>
Date: Thu, 21 Oct 2004 14:48:19 -0700

I'm sure that many researchers have similar dilemmas.  Here's my solution.

I use JabRef.  It's a free java based reference organizer.  (http://jabref.sourceforge.net)  I find it to be comparable to Endnote
for organizing references; however, if you are using MS Word to create articles, then the citation creation in Endnote is better.
Just the opposite is true if you are using LaTex.  Within the database, one can place links to a web address and/or a pdf document.
However, it still doesn't solve the problem of how to get the reference information without manual entry.

For that, I just have to be diligent when using a citation search engine.  For example, when I find a reference of interest on
SciSearch or Web of Science, I export the reference.  I can then import this reference into JabRef.

Joseph

> -----Original Message-----
> From: Computational Chemistry List 
> [mailto:chemistry-request~at~ccl.net] On Behalf Of Daniel Svozil
> Sent: Thursday, October 21, 2004 10:33 AM
> To: chemistry~at~ccl.net
> Subject: CCL:How do you organize your *.pdf files?
> 
> 
> Hi all,
> 
> though my posting is not only computational chemistry 
> related, I think the
> discussion may be of general interest.
> 
> I would like to know, if there is any free linux solution 
> that would help
> in organizing pdf files with the articles downloaded from the 
> web. I was
> looking for some application/script, but I didn't find anything.
> 
> My question is, if it is possible to build a database (e.g. 
> BibTeX) of pdf
> files (articles) that would include information such as title, author,
> journal, abstract etc. + path to the pdf file taken automatically from
> *.pdf. It seems to me, that thi is may be even not possible, 
> as pdf format
> is not a markup language (as XML) and is not suitable to such a task.
> Maybe the best way would be to convert pdf to text (pdftotext 
> in Linux),
> and than to parse the text file for the information. But such a script
> would be very complicated, as format of text data differs journal from
> journal, and many possibilities would have to be taken into account.
> 
> I found one free application that makes life with my pdf mess 
> much easier,
> it is called Quaneko (http://quaneko.sourceforge.net/), and it is
> available both for Linux and Windows. What Quaneko does it 
> takes pdf by
> pdf, converts them to text files, and than indexes those, so one can
> easily query information using keywords and logical expressions. The
> possibility to view a text preview or full pdf by acroread is also
> avilable. Quaneko proved to be very useful and I rely on it 
> quite heavy.
> 
> And what is the way you organize your pdf articles in computer?
> 
> Thanks in advance
>   Dan
> 
>   P.S.; Please, post your responses to the list, so the whole 
> community
> can benefit from them.
> 
> 
> -- 
> Daniel Svozil, PhD
> Institute of Organic Chemistry and Biochemistry
> and Center for Complex Molecular Systems and Biomolecules
> http://www.molecular.cz/
> Czech Republic
> 
> phone: +420-220 410 312
> 
> 
> -= This is automatically added to each message by the mailing 
> script =-
> To send e-mail to subscribers of CCL put the string CCL: on 
> your Subject: line
> and send your message to:  CHEMISTRY~at~ccl.net
> 
> Send your subscription/unsubscription requests to: 
> CHEMISTRY-REQUEST~at~ccl.net 
> HOME Page: http://www.ccl.net   | Jobs Page: http://www.ccl.net/jobs 
> 
> If your mail is bouncing from CCL.NET domain send it to the 
> maintainer:
> Jan Labanowski,  jlabanow~at~nd.edu (read about it on CCL Home Page)
> -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> -+-+-+-+-+
> 
> 
> 
> 
>